# force _smp_mflags to -j1
%define _smp_mflags -j1
%define version 0.3.1
%define release 12

Summary: Software modem for interfacing Asterisk and Hylafax via IAX2
Name: iaxmodem
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Applications/Communications
Url: https://sourceforge.net/projects/iaxmodem
Source0: http://prdownloads.sourceforge.net/iaxmodem/iaxmodem-%{version}.tar.gz
Packager: Daniel Berteaud <daniel@firewall-services.com>

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libtiff-devel

%description
IAXmodem is a software modem written in C that uses an IAX channel
(commonly provided by an Asterisk PBX system) instead of a traditional
phone line and uses a DSP library instead of DSP hardware chipsets.

To accomplish this, then, IAXmodem interfaces an IAX library known as
libiax2 with a DSP library known as spandsp, and then IAXmodem interfaces
the DSP library with a tty device node for interfacing with modem
applications.

%prep
%setup

%build
[ "%{buildroot}" != '/' ] && rm -rf %{buildroot}

# build static version
./build static

%install
# install the bunch manually
%{__install} -D -m 755 iaxmodem %{buildroot}%{_sbindir}/iaxmodem
%{__install} -D -m 644 iaxmodem.1 %{buildroot}%{_mandir}/man1/iaxmodem.1
%{__install} -D -m 660 config.ttyIAX %{buildroot}%{_localstatedir}/spool/hylafax/etc/config.ttyIAX
%{__install} -D -m 644 iaxmodem-cfg.ttyIAX %{buildroot}%{_sysconfdir}/iaxmodem/iaxmodem-cfg.ttyIAX
perl -pi -e 's,/usr/local/,/usr/,g' iaxmodem.init.fedora
%{__install} -D -m 755 iaxmodem.init.fedora %{buildroot}%{_initrddir}/iaxmodem
mkdir -p %{buildroot}%{_localstatedir}/log/iaxmodem


%clean
[ "%{buildroot}" != '/' ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES FAQ README TODO VERSION
%attr(750,asterisk,asterisk)				%{_sbindir}/iaxmodem
%attr(0644,root,root)					%{_mandir}/man1/iaxmodem.1.gz
%attr(0660,root,asterisk)	%config(noreplace)	%{_localstatedir}/spool/hylafax/etc/config.ttyIAX
%attr(0660,root,asterisk)	%config(noreplace)	%{_sysconfdir}/iaxmodem/iaxmodem-cfg.ttyIAX
%attr(0755,root,root)					%{_initrddir}/iaxmodem
%attr(0770,root,asterisk)	%dir			%{_localstatedir}/log/iaxmodem


%changelog
* Thu Jan 13 2011 Daniel Berteaud <daniel@firewall-services.com> - 0.3.1-12
- Remove dep on asterisk
- Add libtiff-devel as buildreq

* Thu Aug 09 2007 Laimbock Consulting <asterisk@laimbock.com> - 0.3.1-11
- update to version 0.3.1

* Thu Aug 09 2007 Laimbock Consulting <asterisk@laimbock.com> - 0.3.0-10
- Autobuild: new asterisk version 1.2.24 for (build)requires
- bump to release 10

* Wed Jul 25 2007 Laimbock Consulting <asterisk@laimbock.com> - 0.3.0-9
- Autobuild: new asterisk version 1.2.23 for (build)requires
- bump to release 9

* Mon Jul 23 2007 Laimbock Consulting <asterisk@laimbock.com> - 0.3.0-8
- add the iaxmodem log directory (Terry Froy)

* Wed Jul 18 2007 Laimbock Consulting <asterisk@laimbock.com> - 0.3.0-7
- Autobuild: new asterisk version 1.2.22 for (build)requires
- bump to release 7

* Sat Jun 30 2007 Laimbock Consulting <asterisk@laimbock.com> - 0.3.0-6
- Autobuild: new asterisk version 1.2.20 for (build)requires
- bump to release 6

* Sat Jun 16 2007 Laimbock Consulting <asterisk@laimbock.com> - 0.3.0-5
- Autobuild: new asterisk version 1.2.19 for (build)requires
- bump to release 5

* Tue Jun 12 2007 Laimbock Consulting <asterisk@laimbock.com> - 0.3.0-4
- Autobuild: new asterisk version 1.2.18 for (build)requires
- bump to release 4

* Tue Jun 12 2007 Laimbock Consulting <asterisk@laimbock.com> - 0.3.0-3
- upgrade to 0.3.0

* Tue Apr 24 2007 Laimbock Consulting <asterisk@laimbock.com> - 0.2.1-2
- rename astver to asteriskver to facilitate autoscripts

* Fri Mar 23 2007 Laimbock Consulting <asterisk@laimbock.com> - 0.2.1-1
- update to 0.2.1

* Wed Feb 21 2007  Laimbock Consulting <asterisk@laimbock.com> - 0.2.0-1
- update to 0.2.0

* Fri Dec 15 2006 Laimbock Consulting <asterisk@laimbock.com> - 0.1.16-1
- update to 0.1.16

* Tue Nov 7 2006 Laimbock Consulting <asterisk@laimbock.com> - 0.1.15-2
- force _smp_mflags to -j1

* Tue Oct 31 2006 Laimbock Consulting <asterisk@laimbock.com> - 0.1.15-1
- update to 0.1.15

* Thu Aug 17 2006 Laimbock Consulting <asterisk@laimbock.com> 0.1.14-1
- inital spec file based on 0.1.14
- static build so it does not interfere with spandsp

